<?php

//
//  ADD WIDGET AREAS
//
function gecko_widgets_init() {
 
  register_sidebar( array(
    'name'          => 'Header Widgets',
    'id'            => 'header-widgets',
    'before_widget' => '<div id="%1$s" class="header__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ));

  register_sidebar( array(
    'name'          => 'Header Cart Widget',
    'id'            => 'header-cart',
    'before_widget' => '<div id="%1$s" class="header__cart %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ));

  register_sidebar( array(
    'name'          => 'Header Search',
    'id'            => 'header-search',
    'before_widget' => '<div id="%1$s" class="header__widget header__widget--search %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ));

  register_sidebar( array(
    'name'          => 'Sidebar Left',
    'id'            => 'sidebar-left',
    'before_widget' => '<div id="%1$s" class="sidebar__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => 'Sidebar Right',
    'id'            => 'sidebar-right',
    'before_widget' => '<div id="%1$s" class="sidebar__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => 'Top widgets',
    'id'            => 'top-widgets',
    'before_widget' => '<div id="%1$s" class="top__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => 'Bottom widgets',
    'id'            => 'bottom-widgets',
    'before_widget' => '<div id="%1$s" class="bottom__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => 'Footer widgets',
    'id'            => 'footer-widgets',
    'before_widget' => '<div id="%1$s" class="footer__widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => 'Footer Social',
    'id'            => 'footer-social',
    'before_widget' => '',
    'after_widget'  => '',
    'before_title'  => '',
    'after_title'   => '',
  ) );

}
add_action( 'widgets_init', 'gecko_widgets_init' );


//
//  Custom options for widgets
//
function gecko_in_widget_form($t,$return,$instance){
  $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'text' => '', 'style' => '') );
  if ( !isset($instance['style']) )
      $instance['style'] = null;
  ?>
  <hr>
  <h3>Gecko options:</h3>
  <div style="background:#eee; padding:10px; margin-bottom:10px;">
      <label for="<?php echo $t->get_field_id('style'); ?>">Widget style:</label>
      <select id="<?php echo $t->get_field_id('style'); ?>" name="<?php echo $t->get_field_name('style'); ?>">
          <option <?php selected($instance['style'], 'none');?> value="none">none</option>
          <option <?php selected($instance['style'], 'box');?>value="box">Box</option>
          <option <?php selected($instance['style'], 'bordered');?> value="bordered">Bordered</option>
          <option <?php selected($instance['style'], 'gradient');?> value="gradient">Gradient</option>
      </select>
  </div>
  <?php
  $retrun = null;
  return array($t,$return,$instance);
}

function gecko_in_widget_form_update($instance, $new_instance, $old_instance){
  $instance['style'] = $new_instance['style'];
  return $instance;
}

function gecko_dynamic_sidebar_params($params){
  global $wp_registered_widgets;
  $widget_id = $params[0]['widget_id'];
  $widget_obj = $wp_registered_widgets[$widget_id];
  $widget_opt = get_option($widget_obj['callback'][0]->option_name);
  $widget_num = $widget_obj['params'][0]['number'];

  if(isset($widget_opt[$widget_num]['style']))
    $style = 'widget--' . $widget_opt[$widget_num]['style'];
  else
    $style = '';
    $params[0]['before_widget'] = preg_replace('/class="/', 'class="'.$style.' ',  $params[0]['before_widget'], 1);
  return $params;
}

//Add input fields(priority 5, 3 parameters)
add_action('in_widget_form', 'gecko_in_widget_form',5,3);
//Callback function for options update (priorität 5, 3 parameters)
add_filter('widget_update_callback', 'gecko_in_widget_form_update',5,3);
//add class names (default priority, one parameter)
add_filter('dynamic_sidebar_params', 'gecko_dynamic_sidebar_params');
