<?php
/*
  Template Name: User Profile
*/

get_header();

//  Options page settings
$full_width_layout       = get_post_meta(get_proper_ID(), 'gecko-page-full-width', true);
$builder_friendly_layout = get_post_meta(get_proper_ID(), 'gecko-page-builder-friendly', true);
$hide_sidebars           = get_post_meta(get_proper_ID(), 'gecko-page-sidebars', true);

//  Profile options
$focus_area              = get_post_meta(get_proper_ID(), 'gecko-profile-centered-focus', true);

//  Profile layout setting
$profile_layout          = get_post_meta(get_proper_ID(), 'gc_profile_layout', true);

if (empty( $profile_layout )) : $profile_layout = 'default'; endif;

$main_class = "";

if (is_active_sidebar( 'sidebar-left' ) && $profile_layout == 'default' && (($hide_sidebars == '' || !$hide_sidebars) || $hide_sidebars == 'right')) {
  $main_class = "main--left";
}

if (is_active_sidebar( 'sidebar-right' ) && $profile_layout == 'default' && (($hide_sidebars == '' || !$hide_sidebars) || $hide_sidebars == 'left')) {
  $main_class = "main--right";
}

if (is_active_sidebar( 'sidebar-left' ) && is_active_sidebar( 'sidebar-right' ) && $profile_layout == 'default' && ($hide_sidebars == '' || !$hide_sidebars)) {
  $main_class = "main--both";
}

?>

<?php if (class_exists('PeepSo')) {

$PeepSoActivity = PeepSoActivity::get_instance();
$user = PeepSoUser::get_instance(PeepSoProfileShortcode::get_instance()->get_view_user_id());

  if ($user->get_id() == get_current_user_id()) { ?>
  <style>
  .page-template-page-tpl-profile .ps-widget--profile__cover,
  .page-template-page-tpl-profile .ps-badgeos__widget-title,
  .page-template-page-tpl-profile .ps-badgeos__widget,
  .page-template-page-tpl-profile .ps-widget--profile__header {
    display: none;
  }
  </style>
<?php
  }
}
?>

<div class="profile profile--<?php echo $profile_layout; ?> <?php if ($focus_area) { echo "profile--centered"; } ?>">
  <div class="main <?php echo $main_class; if ($full_width_layout == 1) : echo " main--full"; endif; if ($builder_friendly_layout == 1) : echo " main--builder"; endif; ?>">
    <?php if ($profile_layout == 'default') : get_sidebar('left'); endif; ?>

    <div class="content">
      <?php if ( have_posts() ) : ?>

      <?php
      // Start the loop.
      while ( have_posts() ) : the_post();

        the_content();

      // End the loop.
      endwhile;
      endif;
      ?>
    </div>

    <?php if (empty( $profile_layout ) || $profile_layout == 'default') : get_sidebar('right'); endif; ?>
  </div>
</div>

<?php

get_footer();
