<?php

$PeepSoProfile=PeepSoProfile::get_instance();
$small_thumbnail = PeepSo::get_option('small_url_preview_thumbnail', 0);

//  Options page settings
$full_width_layout       = get_post_meta(get_proper_ID(), 'gecko-page-full-width', true);
$builder_friendly_layout = get_post_meta(get_proper_ID(), 'gecko-page-builder-friendly', true);
$hide_sidebars           = get_post_meta(get_proper_ID(), 'gecko-page-sidebars', true);

$profile_layout = get_post_meta(get_proper_ID(), 'gc_profile_layout', true);

if (empty( $profile_layout ) || (! is_page_template( 'page-tpl-profile.php' ))) : $profile_layout = 'default'; endif;

$main_class = "";

if (is_active_sidebar( 'sidebar-left' ) && $profile_layout !== 'default' && !empty( $profile_layout ) && ($hide_sidebars == 'right' || !$hide_sidebars)) {
  $main_class = "main--left";
}

if (is_active_sidebar( 'sidebar-right' ) && $profile_layout !== 'default' && !empty( $profile_layout ) && ($hide_sidebars == 'left' || !$hide_sidebars)) {
  $main_class = "main--right";
}

if (is_active_sidebar( 'sidebar-left' ) && is_active_sidebar( 'sidebar-right' ) && $profile_layout !== 'default' && !empty( $profile_layout ) && !$hide_sidebars) {
  $main_class = "main--both";
}

?>

<div class="peepso ps-page-profile">
    <?php PeepSoTemplate::exec_template('general', 'navbar'); ?>
    <?php PeepSoTemplate::exec_template('profile', 'focus'); ?>
    <section id="mainbody" class="ps-wrapper ps-clearfix">
        <section id="component" role="article" class="ps-clearfix">
            <div id="cProfileWrapper" class="ps-clearfix">
                <div id="editLayout-stop" class="page-action" style="display: none;">
                    <a href="#" onclick="profile.editLayout.stop(); return false;"><?php _e('Finished Editing Apps Layout', 'peepso-core'); ?></a>
                </div>

                <div class="main main--inside <?php echo $main_class; if ($full_width_layout == 1) : echo " main--full"; endif; if ($builder_friendly_layout == 1) : echo " main--builder"; endif; ?>">
                    <?php if (!empty( $profile_layout ) && $profile_layout !== 'default') : get_sidebar('left'); endif;?>

                    <div class="ps-body">
                        <?php
                        // widgets top
                        $widgets_profile_sidebar_top = apply_filters('peepso_widget_prerender', 'profile_sidebar_top');

                        // widgets bottom
                        $widgets_profile_sidebar_bottom = apply_filters('peepso_widget_prerender', 'profile_sidebar_bottom');
                        ?>

                        <?php
                        $sidebar = NULL;

                        if (count($widgets_profile_sidebar_top) > 0 || count($widgets_profile_sidebar_bottom) > 0) { ?>

                            <?php
                            ob_start();
                            PeepSoTemplate::exec_template('sidebar', 'sidebar', array('profile_sidebar_top'=>$widgets_profile_sidebar_top, 'profile_sidebar_bottom'=>$widgets_profile_sidebar_bottom, ));
                            $sidebar = ob_get_clean();

                            echo $sidebar;
                            ?>
                        <?php } ?>

                        <div class="ps-main <?php if (strlen($sidebar)) echo ''; else echo 'ps-main-full'; ?>">
                            <!-- js_profile_feed_top -->
                            <div class="activity-stream-front">
                                <?php
                                PeepSoTemplate::exec_template('general', 'postbox-legacy', array('is_current_user' => $PeepSoProfile->is_current_user()));
                                ?>

                                <div class="tab-pane active" id="stream">
                                    <div id="ps-activitystream-recent" class="ps-stream-container <?php echo $small_thumbnail ? '' : 'ps-stream-container-narrow' ?>" style="display:none"></div>
                                    <div id="ps-activitystream" class="ps-stream-container <?php echo $small_thumbnail ? '' : 'ps-stream-container-narrow' ?>" style="display:none"></div>

                                    <div id="ps-activitystream-loading">
                                        <?php PeepSoTemplate::exec_template('activity', 'activity-placeholder'); ?>
                                    </div>

                                    <div id="ps-no-posts" class="ps-alert" style="display:none"><?php _e('No posts found.', 'peepso-core'); ?></div>
                                    <div id="ps-no-posts-match" class="ps-alert" style="display:none"><?php _e('No posts found.', 'peepso-core'); ?></div>
                                    <div id="ps-no-more-posts" class="ps-alert" style="display:none"><?php _e('Nothing more to show.', 'peepso-core'); ?></div>
                                </div>
                            </div><!-- end activity-stream-front -->

                            <?php PeepSoTemplate::exec_template('activity','dialogs'); ?>
                            <div id="apps-sortable" class="connectedSortable"></div>
                        </div><!-- cMain -->
                    </div><!-- end row -->

                    <?php if (!empty( $profile_layout ) && $profile_layout !== 'default') : get_sidebar('right'); endif;?>
                </div>
            </div><!-- end cProfileWrapper --><!-- js_bottom -->
            <div id="ps-dialogs" style="display:none">
                <?php do_action('peepso_profile_dialogs'); // give add-ons a chance to output some HTML ?>
            </div>
        </section><!--end component-->
    </section><!--end mainbody-->
</div><!--end row-->
